import { prop, getModelForClass } from '@typegoose/typegoose';

export default class CustomerPortal {
  @prop({ required: true })
  public key: string;

  @prop({ required: true })
  public username: string;

  @prop({ required: true })
  public userID: string;

  @prop({ required: true })
  public emailAddress: string;

  @prop({ required: true })
  public expiresOn: Date;

  @prop()
  public used: boolean;
}
