import { prop } from '@typegoose/typegoose';

export enum Severity {
  Low,
  Medium,
  High,
}

export default class Judgement {
  @prop({ required: true })
  public jid: string;

  @prop({ required: true })
  public userID: string;

  @prop({ required: true })
  public enteredBy: string;

  @prop({ required: true })
  public severity: Severity;

  @prop({ required: true })
  public date: Date;

  @prop()
  public expires: Date;

  @prop({ required: true })
  public description?: string;
}
