import { prop } from '@typegoose/typegoose';

export default class Staff {
  @prop()
  public name: string;

  @prop({ required: true })
  public userID: string;

  @prop()
  public title: string;

  @prop()
  public dept: string;

  @prop()
  public pn: string[];

  @prop()
  public emailAddress: string;

  @prop()
  public extension: string;

  @prop()
  public acknowledgements: string[];

  @prop()
  public additionalRoles: string[];
}
