import { prop } from '@typegoose/typegoose';
import Score from './Score';

export enum InqType {
  Hard,
  Soft,
}

export default class Inquiry {
  @prop({ required: true })
  public iid: string;

  @prop({ required: true })
  public userID: string;

  @prop({ required: true })
  public type: InqType;

  @prop({ required: true })
  public name: string;

  @prop()
  public reason: string;

  @prop({ required: true })
  public date: Date;

  @prop()
  public report: Score;
}
