import { prop } from '@typegoose/typegoose'
import { Types } from 'mongoose';

export default class ScoreHistorical {
  @prop({ required: true })
  public userID: string;

  @prop({ required: true })
  public report: {
    total: number;
    activity: number;
    roles: number;
    moderation: number;
    cloudServices: number;
    staff: number;
    other: number;
  };

  // error with Types.ObjectId[]
  @prop({ default: [] })
  public inquiries: Types.ObjectId[];

  @prop({ required: true })
  public date: Date;
}
